@keyframes show-focus {
  0% {
    outline: rgba(0, 0, 0, 0) solid 2px;
    outline-offset: 0;
  }

  12.5% {
    outline-offset: 3px;
  }

  50% {
    outline: rgba(0, 0, 0, 1) solid 2px;
    outline-offset: 2px;
  }

  100% {
    outline: rgba(0, 0, 0, 1) solid 2px;
    outline-offset: 2px;
  }
}

/*
  This will hide the focus indicator if the element receives focus via the mouse,
  but it will still show up on keyboard focus.
*/
.js-focus-visible :focus:not(.focus-visible) {
  outline: none;
}

/*
  Define a strong focus indicator for keyboard focus.
  If you choose to skip this step then the browser's default focus
  indicator will be displayed instead.
*/
.js-focus-visible .focus-visible {
  z-index: 99;
  outline: rgba(0, 0, 0, 1) solid 2px;
  outline-offset: 2px;
  animation: show-focus 600ms;
}
